package com.ruoyi.ngtools.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 天然气组分对象 ng_components
 * 
 * @author ruoyi
 * @date 2025-02-09
 */
public class NgComponents extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 	ID	 */
    private String id;

    /** 	创建人名称	 */
    @Excel(name = "	创建人名称	")
    private String createName;

    /** 	更新人名称	 */
    @Excel(name = "	更新人名称	")
    private String updateName;

    /** 	甲烷C1	 */
    @Excel(name = "	甲烷C1	")
    private String ngC1;

    /** 	氮气N2	 */
    @Excel(name = "	氮气N2	")
    private String ngN2;

    /** 	二氧化碳CO2	 */
    @Excel(name = "	二氧化碳CO2	")
    private String ngCo2;

    /** 	乙烷C2	 */
    @Excel(name = "	乙烷C2	")
    private String ngC2;

    /** 	丙烷C3	 */
    @Excel(name = "	丙烷C3	")
    private String ngC3;

    /** 	水H2O	 */
    @Excel(name = "	水H2O	")
    private String ngH2o;

    /** 	硫化氢H2S	 */
    @Excel(name = "	硫化氢H2S	")
    private String ngH2s;

    /** 	氢气H2	 */
    @Excel(name = "	氢气H2	")
    private String ngH2;

    /** 	一氧化碳CO	 */
    @Excel(name = "	一氧化碳CO	")
    private String ngCo;

    /** 	氧气O2	 */
    @Excel(name = "	氧气O2	")
    private String ngO2;

    /** 	异丁烷iC4	 */
    @Excel(name = "	异丁烷iC4	")
    private String ngIc4;

    /** 	正丁烷nC4	 */
    @Excel(name = "	正丁烷nC4	")
    private String ngNc4;

    /** 	异戊烷iC5	 */
    @Excel(name = "	异戊烷iC5	")
    private String ngIc5;

    /** 	正戊烷nC5	 */
    @Excel(name = "	正戊烷nC5	")
    private String ngNc5;

    /** 	己烷C6	 */
    @Excel(name = "	己烷C6	")
    private String ngC6;

    /** 	庚烷C7	 */
    @Excel(name = "	庚烷C7	")
    private String ngC7;

    /** 	辛烷C8	 */
    @Excel(name = "	辛烷C8	")
    private String ngC8;

    /** 	壬烷C9	 */
    @Excel(name = "	壬烷C9	")
    private String ngC9;

    /** 	癸烷C10	 */
    @Excel(name = "	癸烷C10	")
    private String ngC10;

    /** 	氦气He	 */
    @Excel(name = "	氦气He	")
    private String ngHe;

    /** 	氩气Ar	 */
    @Excel(name = "	氩气Ar	")
    private String ngAr;

    /** 合计 */
    @Excel(name = "合计")
    private String sum;

    /** 取样编号 */
    @Excel(name = "取样编号")
    private String sampleno;

    /** 仪表编号 */
    @Excel(name = "仪表编号")
    private String meterno;

    /** 常用组分 */
    @Excel(name = "常用组分")
    private String cyzf;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setCreateName(String createName) 
    {
        this.createName = createName;
    }

    public String getCreateName() 
    {
        return createName;
    }
    public void setUpdateName(String updateName) 
    {
        this.updateName = updateName;
    }

    public String getUpdateName() 
    {
        return updateName;
    }
    public void setNgC1(String ngC1) 
    {
        this.ngC1 = ngC1;
    }

    public String getNgC1() 
    {
        return ngC1;
    }
    public void setNgN2(String ngN2) 
    {
        this.ngN2 = ngN2;
    }

    public String getNgN2() 
    {
        return ngN2;
    }
    public void setNgCo2(String ngCo2) 
    {
        this.ngCo2 = ngCo2;
    }

    public String getNgCo2() 
    {
        return ngCo2;
    }
    public void setNgC2(String ngC2) 
    {
        this.ngC2 = ngC2;
    }

    public String getNgC2() 
    {
        return ngC2;
    }
    public void setNgC3(String ngC3) 
    {
        this.ngC3 = ngC3;
    }

    public String getNgC3() 
    {
        return ngC3;
    }
    public void setNgH2o(String ngH2o) 
    {
        this.ngH2o = ngH2o;
    }

    public String getNgH2o() 
    {
        return ngH2o;
    }
    public void setNgH2s(String ngH2s) 
    {
        this.ngH2s = ngH2s;
    }

    public String getNgH2s() 
    {
        return ngH2s;
    }
    public void setNgH2(String ngH2) 
    {
        this.ngH2 = ngH2;
    }

    public String getNgH2() 
    {
        return ngH2;
    }
    public void setNgCo(String ngCo) 
    {
        this.ngCo = ngCo;
    }

    public String getNgCo() 
    {
        return ngCo;
    }
    public void setNgO2(String ngO2) 
    {
        this.ngO2 = ngO2;
    }

    public String getNgO2() 
    {
        return ngO2;
    }
    public void setNgIc4(String ngIc4) 
    {
        this.ngIc4 = ngIc4;
    }

    public String getNgIc4() 
    {
        return ngIc4;
    }
    public void setNgNc4(String ngNc4) 
    {
        this.ngNc4 = ngNc4;
    }

    public String getNgNc4() 
    {
        return ngNc4;
    }
    public void setNgIc5(String ngIc5) 
    {
        this.ngIc5 = ngIc5;
    }

    public String getNgIc5() 
    {
        return ngIc5;
    }
    public void setNgNc5(String ngNc5) 
    {
        this.ngNc5 = ngNc5;
    }

    public String getNgNc5() 
    {
        return ngNc5;
    }
    public void setNgC6(String ngC6) 
    {
        this.ngC6 = ngC6;
    }

    public String getNgC6() 
    {
        return ngC6;
    }
    public void setNgC7(String ngC7) 
    {
        this.ngC7 = ngC7;
    }

    public String getNgC7() 
    {
        return ngC7;
    }
    public void setNgC8(String ngC8) 
    {
        this.ngC8 = ngC8;
    }

    public String getNgC8() 
    {
        return ngC8;
    }
    public void setNgC9(String ngC9) 
    {
        this.ngC9 = ngC9;
    }

    public String getNgC9() 
    {
        return ngC9;
    }
    public void setNgC10(String ngC10) 
    {
        this.ngC10 = ngC10;
    }

    public String getNgC10() 
    {
        return ngC10;
    }
    public void setNgHe(String ngHe) 
    {
        this.ngHe = ngHe;
    }

    public String getNgHe() 
    {
        return ngHe;
    }
    public void setNgAr(String ngAr) 
    {
        this.ngAr = ngAr;
    }

    public String getNgAr() 
    {
        return ngAr;
    }
    public void setSum(String sum) 
    {
        this.sum = sum;
    }

    public String getSum() 
    {
        return sum;
    }
    public void setSampleno(String sampleno) 
    {
        this.sampleno = sampleno;
    }

    public String getSampleno() 
    {
        return sampleno;
    }
    public void setMeterno(String meterno) 
    {
        this.meterno = meterno;
    }

    public String getMeterno() 
    {
        return meterno;
    }
    public void setCyzf(String cyzf) 
    {
        this.cyzf = cyzf;
    }

    public String getCyzf() 
    {
        return cyzf;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createName", getCreateName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateName", getUpdateName())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("ngC1", getNgC1())
            .append("ngN2", getNgN2())
            .append("ngCo2", getNgCo2())
            .append("ngC2", getNgC2())
            .append("ngC3", getNgC3())
            .append("ngH2o", getNgH2o())
            .append("ngH2s", getNgH2s())
            .append("ngH2", getNgH2())
            .append("ngCo", getNgCo())
            .append("ngO2", getNgO2())
            .append("ngIc4", getNgIc4())
            .append("ngNc4", getNgNc4())
            .append("ngIc5", getNgIc5())
            .append("ngNc5", getNgNc5())
            .append("ngC6", getNgC6())
            .append("ngC7", getNgC7())
            .append("ngC8", getNgC8())
            .append("ngC9", getNgC9())
            .append("ngC10", getNgC10())
            .append("ngHe", getNgHe())
            .append("ngAr", getNgAr())
            .append("sum", getSum())
            .append("sampleno", getSampleno())
            .append("meterno", getMeterno())
            .append("cyzf", getCyzf())
            .toString();
    }
}
